
#include <math.h>
#include <stdlib.h>

/* Position weight matrix transformation */
void transform_mat(double **pwm,double **tpwm,int matLen){

    register int i,j;

    for(i=0; i<matLen; i++){
       if(pwm[i][0]==0.0 || pwm[i][1]==0.0 || pwm[i][2]==0.0 || pwm[i][3]==0.0){
           for(j=0;j<4; j++) tpwm[i][j]=(pwm[i][j]+0.0001)/(1.0+0.0004);
       }
       else {
          for(j=0;j<4; j++) tpwm[i][j]=pwm[i][j];
       }
    }
    for(i=0; i<matLen; i++){
       //for(j=0;j<4; j++)  tpwm[i][j]=log(tpwm[i][j])+log(4.0);
       for(j=0;j<4; j++)  tpwm[i][j]=log(tpwm[i][j]);
    }
}

